Subject: [PATCH 11/11] ARM: versatile: move CLCD configuration to device tree

From: [email-masked] (Tomi Valkeinen)
Date: Thu, 18 Feb 2016 15:37:01 +0200

On 18/02/16 15:12, Russell King - ARM Linux wrote:
> On Thu, Feb 18, 2016 at 01:52:32PM +0200, Tomi Valkeinen wrote:
>> In my opinion the best option would be to use DT overlays, but so that
>> the bootloader would supply them, or construct the dtb. But afaik that's
>> not possible at the moment. And perhaps I think that's the best option
>> only because I don't work with the bootloaders =).
>>
>> So, I don't like this, but I don't have a good suggestion how to do it
>> better with the infrastructure in place at the moment.
> 
> The danger of that position is that we end up with nothing happening,
> and the problem remaining unresolved, which then pushes people into
> maintaining patches out of mainline just to have a working setup -
> which then pushes people to vendor trees.

I agree.

I didn't express my position clearly: I'm ok with the approach, if we
don't come up with anything better.

But if we go with this approach, it must be understood that it may cause
problems later. It's not the most maintainable approach.

I'd also like to have an ack from the DT maintainers, as I think this is
somewhat of an abuse of the DT.

 Tomi

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20160218/d9a76271/attachment-0001.sig>